# $Revision: 1.40 $, $Date: 2011/02/12 11:52:29 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define		srcname		junit
%include	/usr/lib/rpm/macros.java
Summary:	JUnit - regression testing framework
Summary(pl.UTF-8):	JUnit - środowisko do testów regresji
Name:		java-junit
Version:	4.8.2
Release:	1
License:	IBM Common Public License v1.0
Group:		Libraries/Java
Source0:	http://github.com/downloads/KentBeck/junit/junit-%{version}-src.jar
# Source0-md5:	2100c46cd257afedd4f2989ba3ab5bce
URL:		http://www.junit.org/
BuildRequires:	java-hamcrest11
BuildRequires:	java-qdox
BuildRequires:	jdk >= 1.5
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
BuildRequires:	unzip
Requires:	java-hamcrest11
Requires:	java-qdox
Obsoletes:	junit
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JUnit - regression testing framework.

%description -l pl.UTF-8
JUnit - środowisko do testów regresji.

%package javadoc
Summary:	Javadoc documentation for JUnit
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu JUnit
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	junit-doc
Obsoletes:	junit-javadoc

%description javadoc
JUnit API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu JUnit.

%package source
Summary:	Source code of JUnit
Summary(pl.UTF-8):	Kod źródłowy JUnita
Group:		Documentation
Requires:	jpackage-utils >= 1.7.5-2

%description source
Source code of JUnit.

%description source -l pl.UTF-8
Kod źródłowy JUnita.

%prep
%setup -qc
install -d javadoc
rm -f junit/runner/Version.java.template

%build
required_jars="hamcrest11-core qdox"
CLASSPATH=$(build-classpath $required_jars)

%javac -cp $CLASSPATH -target 1.5 -source 1.5 $(find -name '*.java')
%jar -cvf %{srcname}-%{version}.jar $(find -type f '!' -name '*.java')

%{?with_javadoc:%javadoc -classpath $CLASSPATH -d javadoc $(find -name '*.java')}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
install junit-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/junit-%{version}.jar
ln -sf junit-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/junit.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -pr javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

# source
install -d $RPM_BUILD_ROOT%{_javasrcdir}
install %{SOURCE0} $RPM_BUILD_ROOT%{_javasrcdir}/%{srcname}.src.jar

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/junit-%{version}.jar
%{_javadir}/junit.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%files source
%defattr(644,root,root,755)
%{_javasrcdir}/%{srcname}.src.jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-junit.spec,v $
Revision 1.40  2011/02/12 11:52:29  qboosh
- -source descs

Revision 1.39  2010/04/20 16:14:49  pawelz
- up to 4.8.2
- new download url
- use java-hamcrest11 (requires API that does not exist in hamcrest 1.2)
- -source subpackage

Revision 1.38  2010/04/20 14:31:19  pawelz
- rel 2

Revision 1.37  2010/04/20 14:30:54  pawelz
- no longer Provides: junit. Fix other packages instead.

Revision 1.36  2010/04/18 15:08:27  pawelz
- *REALY* don't force specific jdk, even java-sun

Revision 1.35  2010/04/18 15:07:51  pawelz
- don't force specific jdk

Revision 1.34  2009/12/06 12:16:15  pawelz
- up tu 4.8

Revision 1.33  2009/08/20 10:52:09  pawelz
- now it builds with both jdks, so droped prebuilt version
- BR: java-qdox
- if with gcj, BR gcc-java >= 6:4.4.0 (needs full java 5)
- fixed generation of javadoc with java_sun
- rel 4

Revision 1.32  2009/05/21 18:34:59  glen
- build with java-sun, fallback to prebuilt one of no java-sun; rel 3

Revision 1.31  2009/05/21 18:30:39  glen
- builds with java-sun ClassDataVersion=49.0

Revision 1.30  2009/05/21 17:45:25  glen
- two more

Revision 1.29  2009/05/21 17:42:01  glen
- source level 5.0 needed to compile
- drop R jdk. java autodeps are for that

Revision 1.28  2009/05/20 07:01:58  glen
- fix hamcrest dep; rel 2

Revision 1.27  2009/04/01 17:50:25  pawelz
- added jdk bconds
- changed Name to java-junit

Revision 1.26  2009/03/30 05:33:20  pawelz
- Libraries/Java

Revision 1.25  2007/11/20 17:53:59  glen
- java deps

Revision 1.24  2007-09-09 09:29:20  qboosh
- updated to 4.4 (needs hamcrest now)

Revision 1.23  2007/05/25 23:31:08  qboosh
- BR: rpm-javaprov

Revision 1.22  2007/04/10 18:51:16  glen
- update to 4.3.1
- using source package now (-doc dropped)
- minimum java version is 1.5 to compile those sources
- java macros

Revision 1.21  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.19  2006/12/08 01:23:26  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.18  2006/05/23 17:40:23  qboosh
- completed pl

Revision 1.17  2006/05/21 11:08:55  jajcus
- Version: 4.1
- use the standard %{_javadir} macro
- separate javadoc documentation and put it in the %{_javadocdir}

Revision 1.16  2006/03/11 17:13:02  pluto
- updated to 3.8.2.

Revision 1.15  2004/12/14 15:45:02  baggins
- DON'T hardoce paths!

Revision 1.14  2004/11/26 16:23:51  darekr
- BR unzip

Revision 1.13  2004/10/18 18:09:34  qboosh
- gpm-friendly Source0 URL

Revision 1.12  2003/06/27 12:42:57  misi3k
- std sf url

Revision 1.11  2003/06/14 20:05:44  ankry
- md5

Revision 1.10  2003/05/25 05:49:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/04 09:40:40  pascalek
- jar versioned

Revision 1.8  2003/03/05 10:43:54  misiek
- updated to 3.8.1

Revision 1.7  2002/08/24 20:33:21  qboosh
- updated to 3.8, added Source0 URL
- R: jdk >= 1.1

Revision 1.6  2002/04/25 16:40:08  arturs
- fixed a small typo

Revision 1.5  2002/02/23 02:59:09  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:13:27  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/11/30 11:38:57  qboosh
- pl translations, cosmetics, removed %_javalibdir from package
- don't gzip html doc

Revision 1.1  2001/10/02 08:01:38  pascalek
- initial revision
